﻿:root {
    --widget: #f5f8fe;
    --adaptive-white: #ffffff;
    --red: #DD7373;
    --ghost-blue: #318dc1;
    --transparent: transparent;
    --link-hover-blue: #40a9ff;
    --colors-cold-gray: 85 118 139;
    --colors-ghost-blue: 49 141 193;
}

.page {
    padding: 10vh 15px 10vh 15px;
}

@media (min-width: 750px) {
    .page {
        padding: 10vh 24px 10vh 24px;
    }
}

.card {
    position: relative;
    width: 100%;
    max-width: 509px;
    margin: 0 auto;
    background: var(--widget);
    border-radius: 18px;
    padding: 28px 0 20px;
    box-shadow: 0 85px 19px -60px rgba(53, 140, 203, .03);
}

@media (min-width: 750px) {
    .card {
        padding: 34px 0 20px;
        max-width: 509px;
    }
}

.card__header {
    display: flex;
    justify-content: center;
    margin-bottom: 35px;
}

.brand {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    width: 100%;
    margin: 0 25px;
}

.brand__logo {
    max-width: 100%;
    object-fit: contain;
}

.form-wrapper {
    width: 100%;
    padding-inline: 15px;
}

@media (min-width: 750px) {
    .form-wrapper {
        width: 509px;
        margin: 0 auto;
        padding-inline: 30px;
    }
}

.input-wrapper {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    width: 100%;
}

    .input-wrapper .container {
        width: 100%;
        background: var(--adaptive-white);
        border-radius: 10px;
        overflow: hidden;
        box-shadow: 0 15px 15px -15px rgba(122, 152, 173, .05);
        transition: box-shadow .2s ease, background-color .2s ease, border-color .2s ease;
    }

.input-container {
    display: flex;
    align-items: center;
    width: 100%;
    min-height: 44px;
    padding-inline: 0;
}

.label-pe {
    padding-inline-end: 5px;
}

@media (min-width: 1000px) {
    .input-container {
        min-height: 56px;
        border-radius: 15px;
        padding-block: 10px;
    }
}

@media (min-width: 1000px) {
    .label-pe {
        padding-inline-end: 10px;
    }
}

.input-label {
    display: flex;
    align-items: center;
    white-space: nowrap;
    user-select: none;
}

.label-ps {
    padding-inline-start: 15px;
}

@media (min-width: 1000px) {
    .label-ps {
        padding-inline-start: 25px;
    }
}

.link {
    color: var(--ghost-blue);
    font-weight: 500;
}

.label-04 {
    font-size: 13px;
    line-height: 20px;
    font-weight: 500;
    margin-right: 6px;
}

.input-inner-label {
    padding-inline-end: 2px;
}

.ps-text-red {
    color: var(--red);
}

.input-label .ps-text-red {
    order: 1;
}

.input-element {
    flex: 1 1 auto;
    min-width: 0;
    height: 100%;
    padding: 10px 12px !important;
    font-size: 14px !important;
    color: var(--ghost-blue);
    background: var(--transparent);
    border: 0;
    outline: 0;
}

.input-element {
    text-align: right;
}

.input-wrapper .container:hover {
    box-shadow: 0 12px 32px -16px rgba(122, 152, 173, .1);
}

.input-wrapper .container:focus-within {
    box-shadow: 0 16px 12px -7px rgba(156, 168, 187, .1);
}

[type='text']:focus, input:where(:not([type])):focus, [type='email']:focus, [type='url']:focus, [type='password']:focus, [type='number']:focus, [type='date']:focus, [type='datetime-local']:focus, [type='month']:focus, [type='search']:focus, [type='tel']:focus, [type='time']:focus, [type='week']:focus, [multiple]:focus, textarea:focus, select:focus {
    box-shadow: unset !important;
    border-color: unset !important;
    outline: unset !important;
}

.eye-icon {
    display: inline-grid;
    place-items: center;
    margin-inline-start: 8px;
    padding: 6px;
    border: 0;
    border-radius: 5px;
    background: rgba(49, 141, 193, .14);
    cursor: pointer;
}

@media (min-width: 750px) {
    .eye-icon {
        padding: 9px;
    }
}

.icon--eye {
    position: relative;
    width: 20px;
    height: 20px;
    fill: var(--ghost-blue);
    display: flex;
    justify-content: center;
    align-items: center;
}

    .icon--eye::after {
        content: '';
        position: absolute;
        left: 0;
        right: 0;
        width: 100%;
        height: 1px;
        background-color: var(--ghost-blue);
        border: .2px solid var(--adaptive-white);
        border-left: 0;
        border-right: 0;
        border-radius: 10px;
        transform: rotate(39deg);
        opacity: 0;
        transition: opacity .2s ease-in-out;
    }

.eye-icon:hover {
    filter: brightness(.95);
}

.icon--eye.hiddeneye::after {
    opacity: 1;
}

.form-wrapper .input-wrapper:not(:first-of-type) {
    margin-top: 15px;
}

@media (min-width: 750px) {
    .form-wrapper .input-wrapper:not(:first-of-type) {
        margin-top: 25px;
    }
}

.extra-actions {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-top: 25px;
}

.ant-checkbox-wrapper {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
    user-select: none;
}

a:hover {
    color: var(--link-hover-blue);
    cursor: pointer;
}

.action-wrapper {
    margin-top: 30px;
}

.ps-button {
    position: relative;
    z-index: 1;
    width: 100%;
    height: 46px;
    padding-inline: 30px;
    border: none;
    border-radius: 15px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    transition: all .2s ease-in-out;
}

@media (min-width: 1000px) {
    .ps-button {
        height: 54px;
    }
}

.ps-button:not(.is-loading) {
    cursor: pointer;
}

.ps-button--type-primary.ps-button--color-ghost-blue.ps-button--style-fill {
    background-color: var(--ghost-blue);
    color: var(--adaptive-white);
}

.label {
    font-size: 16px;
    font-weight: 500;
    line-height: 25px;
    text-align: center;
    white-space: nowrap;
    font-family: IRANSans;
}

.ps-button--type-primary.ps-button--color-ghost-blue.ps-button--style-fill:not(.is-loading):hover {
    background-image: linear-gradient(0deg, rgba(0, 0, 0, .15), rgba(0, 0, 0, .15));
    box-shadow: 0 15px 12px -12px rgba(49, 141, 193, .4);
}

.ps-button--type-primary.ps-button--color-ghost-blue.ps-button--style-fill:not(.is-loading):active {
    background-image: linear-gradient(0deg, rgba(0, 0, 0, .25), rgba(0, 0, 0, .25));
    box-shadow: 0 20px 15px -15px rgba(49, 141, 193, .15);
}

.card__footer {
    margin: 30px 0 0;
    display: grid;
    gap: 30px;
    justify-items: center;
}

.body-03 {
    font-size: 14px;
    line-height: 24px;
}

.ps-mt-5 {
    margin-top: 20px;
}

.ps-text-center {
    text-align: center;
}

.ps-text-sm {
    font-size: 13px;
    line-height: 20px;
}

.ps-leading-\[30px\] {
    line-height: 30px;
}

.ps-text-cold-gray {
    --tw-text-opacity: 1;
    color: rgb(var(--colors-cold-gray) / var(--tw-text-opacity, 1));
}

.ps-text-ghost-blue {
    --tw-text-opacity: 1;
    color: rgb(var(--colors-ghost-blue) / var(--tw-text-opacity, 1));
}
